## org.omg.DynamicAny.DynAnyFactoryPackage
Class InconsistentTypeCodeHelper

    java.lang.Object
      |
      +--org.omg.DynamicAny.DynAnyFactoryPackage.InconsistentTypeCodeHelper

public class InconsistentTypeCodeHelper
extends java.lang.Object

Helper class for : InconsistentTypeCode

Author:
  OpenORB Compiler

Constructor Summary
`InconsistentTypeCodeHelper()`

Method Summary
`static InconsistentTypeCode` `extract(Any a)` Extract InconsistentTypeCode from an any
`static java.lang.String` `id()` Return the InconsistentTypeCode IDL ID
`static void` `insert(Any a, InconsistentTypeCode t)` Insert InconsistentTypeCode into an any
`static InconsistentTypeCode` `read(InputStream istream)` Read InconsistentTypeCode from a marshalled stream
`static TypeCode` `type()` Return the InconsistentTypeCode TypeCode
`static void` `write(OutputStream ostream, InconsistentTypeCode value)` Write InconsistentTypeCode into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InconsistentTypeCodeHelper

    public InconsistentTypeCodeHelper()

Method Detail

### insert

    public static void insert(Any a,
                              InconsistentTypeCode t)

  Insert InconsistentTypeCode into an any
  Parameters:
    `a` - an any
    `t` - InconsistentTypeCode value

### extract

    public static InconsistentTypeCode extract(Any a)

  Extract InconsistentTypeCode from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted InconsistentTypeCode value

### type

    public static TypeCode type()

  Return the InconsistentTypeCode TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the InconsistentTypeCode IDL ID
  Returns:
    an ID

### read

    public static InconsistentTypeCode read(InputStream istream)

  Read InconsistentTypeCode from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed InconsistentTypeCode value

### write

    public static void write(OutputStream ostream,
                             InconsistentTypeCode value)

  Write InconsistentTypeCode into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - InconsistentTypeCode value